Bug 6217 - Searching for 3 part patron names brings no results
Summary: Searching for 3 part patron names brings no results
Status: CLOSED MOVED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-20 14:49 UTC by Liz Rea
Modified: 2012-10-26 00:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2011-04-20 14:49:40 UTC
in the patron search interface (cgi-bin/koha/members/members-home.pl), searching for 3 part names brings no results, even if the name exists.

Example:
First Name: Mary Ann
Last Name: Johnson

Searching for Mary Johnson brings back all Mary Johnsons, including Mary Ann.

Searching for Mary Ann Johnson brings back no results.
Comment 1 Liz Rea 2011-07-19 14:49:52 UTC
Specifically any variation of a three-part name search succeeds
in:

circulation.pl
circulation-home.pl

However, the three part name search DOES NOT WORK here:

mainpage.pl
members-home.pl
member.pl
Comment 2 Srdjan Jankovic 2011-08-16 01:11:11 UTC
Will get resolved in 6253